package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 叫号状态 (未叫号,叫号中,完成)枚举类
*
* @author zxfei
*/
public enum StyleEnum {
    未叫号("未叫号", "未叫号"),
    叫号中("叫号中", "叫号中"),
    完成("完成", "完成");
    private String value;
    private String desc;

    StyleEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static StyleEnum getByValue(String value) {
        for (StyleEnum styleEnum : StyleEnum.values()) {
            if (styleEnum.getValue() == value) {
                return styleEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (StyleEnum item : StyleEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}